---
title: "Get skill by name"
url: https://hexelstudio.com/docs/api/compute/skills/get
---

# Get skill by name

**GET** `/compute/v1/skills/{name}`

Returns a single skill definition by name

## Path parameters

- `name: string`

  Skill name

## Headers

- `Authorization: string`

  `Bearer <token>`. STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

## Returns

`200` OK (`Skill`)

- `content: optional string`

- `content_hash: optional string`

- `created_at: optional string`

- `description: optional string`

- `name: optional string`

- `resources: optional map[string]`

- `updated_at: optional string`

## Errors

- `404` Not Found

## Example

```bash
curl --request GET \
  --url 'https://compute.hexelstudio.com/compute/v1/skills/{name}' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "content": "string",
  "content_hash": "string",
  "created_at": "2026-01-01T00:00:00Z",
  "description": "string",
  "name": "string",
  "resources": {
    "key": "string"
  },
  "updated_at": "2026-01-01T00:00:00Z"
}
```

### Response (404)

```json
{
  "code": 0,
  "error_code": "string",
  "message": "string"
}
```
